FLOCK(1)

NOM
flock - Gérer des verrous depuis des scripts d'interpréteur

SYNOPSIS
flock [-sxon] [-w délai] fichier_verrou [-c] commande ...

flock [-sxon] [-w délai] répertoire_verrou [-c] commande ...

flock [-sxun] [-w délai] descripteur_fichier

DESCRIPTION

Cet utilitaire gère les verrous flock(2) à partir de scripts d'interpréteur ou de la ligne de commande.

La première et la deuxième formes enveloppent l'exécution d'une commande par un verrou, d'une manière similaire à su(1) ou newgrp(1). Il verrouille le fichier ou le répertoire indiqué, qui est créé (en supposant que vous avez les permissions appropriées), s'il n'existe pas déjà.

La troisième forme est pratique dans les scripts d'interpréteur et est généralement utilisée de la manière suivante :

(
  flock -n 9 || exit 1
  # ... commandes exécutées sous un verrou ...
) 9>/var/lock/mylockfile

Le mode utilisé pour ouvrir le fichier n'est pas important pour flock ; utiliser > ou >> permet au fichier de verrouillage d'être créé s'il n'existe pas déjà, cependant, le droit d'écriture est nécessaire ; en utilisant <, le fichier doit déjà exister déjà mais seul le droit de lecture est nécessaire.

Par défaut, si le verrou ne peut pas être obtenu immédiatement, flock attend jusqu'à ce que le verrou soit disponible.

OPTIONS

-s, --shared
    Obtenir un verrou partagé, parfois appelé verrou en lecture.

-x, -e, --exclusive
    Obtenir un verrou exclusif, parfois appelé verrou en écriture. C'est l'option par défaut.

-u, --unlock
    Supprimer un verrou. Ce n'est généralement pas nécessaire, puisqu'un verrou est automatiquement supprimé lorsque le fichier est fermé. Cependant, il peut être nécessaire dans des cas particuliers, par exemple si le groupe de commandes inclus a engendré un processus en arrière-plan qui ne devrait pas maintenir le verrou.

-n, --nb, --nonblock
    Échouer (avec un code de sortie de 1) plutôt que d'attendre dans le cas où le verrou ne peut pas être obtenu immédiatement.

-w, --wait, --timeout délai
    Échouer (avec un code de sortie de 1) si le verrou ne peut être obtenu en délai secondes. Les valeurs en fractions décimales sont permises.

-o, --close
    Fermer le descripteur de fichier sur lequel le verrou est tenu avant l'exécution de commande. C'est utile si commande lance un processus fils qui ne devrait pas maintenir le verrou.

-c, --commande commande
    Passer une unique commande à l'interpréteur de commandes avec -c.

-h, --help
    Afficher un message d'aide.

AUTEUR
Écrit par H. Peter Anvin <hpa@zytor.com>.

COPYRIGHT
Copyright © 2003-2006 H. Peter Anvin.
C'est un logiciel libre ; consultez les sources pour les conditions de copie. Il n'y a AUCUNE garantie ; même pas de VALEUR MARCHANDE ou d'ADÉQUATION À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
flock(2)

DISPONIBILITÉ
La commande flock fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Lyes Zemmouche et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.